> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List client plans

> Get a paged list of all client plans for an organisation



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml get /v1/organisations/{organisationId}/plans
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/organisations/{organisationId}/plans:
    get:
      tags:
        - Client Plan
      summary: List client plans
      description: Get a paged list of all client plans for an organisation
      operationId: OrganisationClientPlanController_list
      parameters:
        - name: organisationId
          required: true
          in: path
          schema:
            type: string
        - name: page
          required: false
          in: query
          description: Page number
          schema:
            minimum: 1
            maximum: 9007199254740991
            default: 1
            example: 1
            type: number
        - name: limit
          required: false
          in: query
          description: Number of items per page
          schema:
            minimum: 1
            maximum: 200
            default: 10
            example: 10
            type: number
        - name: recurring
          required: false
          in: query
          description: >-
            Filter by whether the plan is recurring (a subscription with a
            billing frequency). Omit to return both recurring and one-off plans.
          schema:
            type: boolean
        - name: q
          required: false
          in: query
          description: Search plans by plan name, client name, mobile number or email.
          schema:
            type: string
        - name: expand
          required: false
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - client
                - organisation
                - bookingCredits
                - charges
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ApiResponse'
                  - properties:
                      items:
                        type: array
                        items:
                          $ref: '#/components/schemas/ClientPlan'
                      page:
                        type: number
                        example: 1
                      limit:
                        type: number
                        example: 10
                      totalItems:
                        type: number
                        example: 100
                      totalPages:
                        type: number
                        example: 10
components:
  schemas:
    ApiResponse:
      type: object
      properties: {}
    ClientPlan:
      type: object
      properties:
        client:
          title: Client
          description: Expandable field
          allOf:
            - $ref: '#/components/schemas/Client'
        organisation:
          title: Organisation
          description: Expandable field
          allOf:
            - $ref: '#/components/schemas/Organisation'
        billingType:
          enum:
            - one_off
            - recurring
          type: string
          description: >-
            Whether the plan is billed as a one-off or on a recurring basis.
            Recurring when the plan has a subscription.
          example: one_off
        bookingCredits:
          title: Booking credits
          description: Expandable field
          type: array
          items:
            $ref: '#/components/schemas/BookingCredit'
        charges:
          title: Charges
          description: Expandable field
          type: array
          items:
            $ref: '#/components/schemas/ClientPlanCharge'
        id:
          type: string
        createdAt:
          type: string
        clientId:
          type: string
        organisationId:
          type: string
        status:
          enum:
            - created
            - active
            - inactive
            - cancelled
            - past_due
            - completed
          type: string
        paymentTiming:
          enum:
            - pay_later
            - prepaid
          type: string
        plan:
          $ref: '#/components/schemas/ClientPlanPlan'
        subscription:
          $ref: '#/components/schemas/ClientPlanSubscription'
      required:
        - billingType
        - id
        - createdAt
        - clientId
        - status
        - paymentTiming
        - plan
    Client:
      type: object
      properties:
        memberId:
          type: string
          description: The ID of the member if the client has joined HaltH
          example: memb_38JiySr0Z0ePjHpqvosimyLQuUC
        id:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        dateOfBirth:
          type: string
        mobileNumber:
          type: string
        email:
          type: string
        source:
          enum:
            - pms
            - halth
            - unknown
          type: string
        pmsPatientId:
          type: string
        pmsCreatedAt:
          format: date-time
          type: string
        deleted:
          type: boolean
        createdAt:
          format: date-time
          type: string
        profileImageUrl:
          type: string
      required:
        - id
        - deleted
        - createdAt
    Organisation:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the organisation
          example: org_31XEcUshz1ymodA14HALnyP48g1
        name:
          type: string
          description: Name of the organisation
          example: Acme Healthcare
        slug:
          type: string
          description: URL-friendly identifier for the organisation
          example: acme-healthcare
        createdAt:
          format: date-time
          type: string
          description: Date when the organisation was created
          example: '2023-01-15T10:30:00Z'
        brandImageUrl:
          type: string
          nullable: true
          description: URL to the organisation's brand image
          example: https://example.com/brand-image.png
        bookingsEnabled:
          type: boolean
          description: True if bookings are enabled for this organisation
          example: true
        wordmarkImageUrl:
          type: string
          nullable: true
          description: URL to the organisation's wordmark image
          example: https://example.com/wordmark-image.png
        websiteUrl:
          type: string
          nullable: true
          description: URL to the organisation's website
          example: https://example.com
          deprecated: true
      required:
        - id
        - name
        - slug
        - createdAt
        - bookingsEnabled
    BookingCredit:
      type: object
      properties:
        id:
          type: string
        status:
          enum:
            - available
            - booked
            - redeemed
            - voided
          type: string
        clientPlanId:
          type: string
        clientPlanItemId:
          type: string
        appointmentTypeId:
          type: string
          nullable: true
        price:
          type: number
        currency:
          type: string
        paidAt:
          format: date-time
          type: string
          nullable: true
        bookedAt:
          format: date-time
          type: string
          nullable: true
        redeemedAt:
          format: date-time
          type: string
          nullable: true
        isPaid:
          type: boolean
        isBooked:
          type: boolean
      required:
        - id
        - status
        - clientPlanId
        - clientPlanItemId
        - appointmentTypeId
        - price
        - currency
        - paidAt
        - bookedAt
        - redeemedAt
        - isPaid
        - isBooked
    ClientPlanCharge:
      type: object
      properties:
        id:
          type: string
        clientPlanId:
          type: string
        cycleNumber:
          type: number
        status:
          type: string
          enum:
            - pending
            - succeeded
            - failed
            - reversed
        amount:
          type: number
        currency:
          type: string
        businessTransactionId:
          type: string
      required:
        - id
        - clientPlanId
        - cycleNumber
        - status
        - amount
        - currency
    ClientPlanPlan:
      type: object
      properties:
        planTemplateId:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        discountRate:
          type: number
        discountAmount:
          type: number
        items:
          type: array
          items:
            $ref: '#/components/schemas/ClientPlanItem'
      required:
        - planTemplateId
        - name
        - discountRate
        - discountAmount
        - items
    ClientPlanSubscription:
      type: object
      properties:
        startsAt:
          type: string
        billingFrequency:
          type: string
          enum:
            - daily
            - weekly
            - fortnightly
            - monthly
            - quarterly
            - biannual
            - yearly
        billingEndType:
          type: string
          enum:
            - none
            - date
            - cycles
        billingCycleCount:
          type: number
        endsAt:
          type: string
        nextBillingAt:
          format: date-time
          type: string
        cyclesCompleted:
          type: number
      required:
        - startsAt
        - billingFrequency
        - billingEndType
        - cyclesCompleted
    ClientPlanItem:
      type: object
      properties:
        id:
          type: string
        createdAt:
          type: string
        clientPlanId:
          type: string
        planTemplateItemId:
          type: string
          nullable: true
        appointmentTypeId:
          type: string
          nullable: true
        providerId:
          type: string
          nullable: true
        billableItemId:
          type: string
          nullable: true
        basePrice:
          type: number
        price:
          type: number
        taxRate:
          type: number
        currency:
          type: string
        name:
          type: string
      required:
        - id
        - createdAt
        - clientPlanId
        - planTemplateItemId
        - appointmentTypeId
        - providerId
        - billableItemId
        - basePrice
        - price
        - taxRate
        - currency
        - name

````